Find Refs

Initially designed to find links on websites using Sefaria's Linker, the Find Refs API can identify textual references in any arbitrary text that gets sent to it via a structured POST request.

This is an asynchronous API. The endpoint immediately returns a task_id with HTTP 202. You must poll GET /api/async/{task_id} to retrieve the task status. When the task completes successfully, the /api/async/{task_id} response will include a result field containing the same FindRefsAPIResponse object described in the 200 response schema below.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A properly formatted POST request for the Find Refs API

text
object
required

Initially designed for websites, this API expects the text field to contain both a body and a title. When parsing arbitrary text feel free to just use body and pass an empty string '' to title

string
enum
required

Either he or en. If not included, it will default to one based on the number of Hebrew or Latin characters in the body of the text.

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json